Subject: RE: [AVT] Commetns on Header compression for MPLS LSPs (draft-ash -avt-ecrtp-over-mpls-protocol-00.txt)

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Tue, 9 Mar 2004 10:11:46 +0100

One additional comment on this draft is that it has too much
background information, basically copied from the requirements
draft. Much of this could be stripped out, making the document
more compact and focused, as it refers to the requirements doc
anyway.

Apart from that, I fully agree with Magnus comments below.

/L-E

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf 
> Of Magnus
> Westerlund (KI/EAB)
> Sent: den 8 mars 2004 15:50
> To: IETF AVT WG
> Subject: [AVT] Commetns on Header compression for MPLS LSPs
> (draft-ash-avt-ecrtp-over-mpls-protocol-00.txt)
> 
> 
> Hi,
> 
> Having reviewed the solutions proposal document I would like 
> to take a 
> few steps back, and discuss the issues on a higher level. We 
> should also 
> not be carried into to much detail yet until the requirements work is 
> completed.
> 
> In my understanding we will need a few components in the total system.
> 
> A. A signalling protocol for an MPLS ingress router (A) to 
> determine/create the LSP that will go to a HC enabled egress 
> router (B). 
> That protocol seems to need to signal the following information:
> - What HC algorithms it support
> - What LSP that will go from A->B and for HC algorithms that uses 
> feedback the return path B->A, which indicates HC enabled packets.
> - Further HC algorithm parameters, for example maximum number 
> of session 
> contexts.
> 
> B. To create a mapping for the HC algorithm into the LSP. 
> Here it seems 
> that ECRTP would need to have identifiers for its packet types, while 
> ROHC would not need anything.
> 
> The solution does not require anything more as I see it. It can be 
> enhanced with description of how an ingress router determines 
> what flows 
> to do HC on, for example through the header compression hints 
> that exist 
> for RSVP, see RFC 3006. An ingress router can also use 
> heuristics or any 
> other method it desires to determine if it should apply header 
> compression on a certain packet flow. Thus I don't see a need to talk 
> about specific applications of RTP or UDP that can benefit 
> from this work.
> 
> Something else that I reacted to in the draft was the indication that 
> one needs to actually use a signalling session context 
> identifiers. As I 
> understand it, a compressor simply selects one from the 
> available pool 
> and establish it using a full context packet.
> 
> 
> Cheers
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt